locked
VS.Net Studio 2005 and .Net Compact Framework 3.5 RRS feed

  • Question

  • Hi,

    I'm sure that this question is not belong to this thread, please forgive me as I totally have no idea where I should post this question.

    I would like to know, is it possible that developing a mobile application in VS.Net Studio 2005 with .Net Compact Framework 3.5 and deploy it?

    I've developed a mobile application using an external dll which required .Net CF 3.5, in VS.Net Studio 2005 but it seems that the .Net CF deployed in PDA is v2.0. I checked on the project property and it shows v2.0. The application in PDA is not working properly.

    Thanks in advance.
    • Moved by YiChun Chen Friday, June 5, 2009 10:28 AM Smart Device issue (From:Visual Studio Setup and Installation)
    Wednesday, June 3, 2009 10:50 AM

Answers

  • No, that is not possible. You can develop with NETCF 3.5 only using VS 2008 Pro or above. Alternatively you can create NETCF V2 project from existing files in VS 2005, remove/replace all 3.5 features you're using and develop with NETCF V2.


    This posting is provided "AS IS" with no warranties, and confers no rights.
    • Marked as answer by warrentang Monday, June 8, 2009 1:31 AM
    Friday, June 5, 2009 4:01 PM

All replies

  • Hi MaxChin,

    I am moving this thread from Base "Visual Studio Setup and Installation" forum to the "Windows Mobile Development" forum, since the issue is related to smart device. There are more smart device experts in the " Windows Mobile Development " forum.

    Thanks
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    Friday, June 5, 2009 10:28 AM
  • Yes it is possible. The application is not working due to backward compatibility issue; for this you need to install the .netcf 3.5.

    Thanks,
    Mohsin S.


    Thanks
    • Proposed as answer by Mohsin S Friday, June 5, 2009 11:01 AM
    Friday, June 5, 2009 11:00 AM
  • Hi,

    Try to install .Net CF 3.5 version on your PDA and retry the same.

    You can download CF 3.5 here:
    http://www.microsoft.com/downloads/details.aspx?FamilyID=E3821449-3C6B-42F1-9FD9-0041345B3385&displaylang=en


    Please let me know if you find any issues after installation also.

    Regards,
    Malleswar


    Friday, June 5, 2009 11:38 AM
  • Hi,

    First of all, thanks YiChun Chen for the help.

    To Malleswar,

    I've already installed .netcf3.5 in PDA and tried ran the application build by vs2005, it is not working. FYI, I've seen the program that build by vs2008 and it is running smoothly without any problem.

    Thanks.
    Friday, June 5, 2009 12:36 PM
  • No, that is not possible. You can develop with NETCF 3.5 only using VS 2008 Pro or above. Alternatively you can create NETCF V2 project from existing files in VS 2005, remove/replace all 3.5 features you're using and develop with NETCF V2.


    This posting is provided "AS IS" with no warranties, and confers no rights.
    • Marked as answer by warrentang Monday, June 8, 2009 1:31 AM
    Friday, June 5, 2009 4:01 PM
  • Thanks Iyla, it at least save my few hours of trial and errors.
    Saturday, June 6, 2009 8:50 AM